Skip to main content
GET
/
v1alpha1
/
inference
/
gateways
/
parameters
Get gateway parameters
curl --request GET \
  --url https://api.coreweave.com/v1alpha1/inference/gateways/parameters \
  --header 'Authorization: Bearer <token>'
{
  "zones": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt

Use this file to discover all available pages before exploring further.

The response lists the Availability Zone identifiers that are valid in the gateway’s zones field. Gateways are currently limited to one zone.
Example request
curl -X GET https://api.coreweave.com/v1alpha1/inference/gateways/parameters \
       -H "Content-Type: application/json" \
       -H "Authorization: Bearer {API_ACCESS_TOKEN}"

Authorizations

Authorization
string
header
default:Bearer {API_ACCESS_TOKEN}
required

CoreWeave API access token sent as a bearer token.

Response

OK

Response for GetGatewayParameters

zones
string[]
required

The Availability Zone identifiers that are valid in a gateway's zones field.

Last modified on May 22, 2026